<?php
///////////////////////////////////////////////////
//2010 (C)
//Карпухин Павел
///////////////////////////////////////////////////
require_once "../utils/chlang.php";

$title=$titlepage = $TEXT['cicle-title-film'];

require_once "../config_a.php";
require_once "../utils/functions.php";
require_once "../utils/top_adm_film.php";

if($result2['administrator'] == 0) {puterror($result2['skin'],$TEXT['error-loginform2']); require_once "../utils/bottom_adm_film.php"; exit();}

if(empty($_POST['cicle_id'])) {puterror($result2['skin'],$TEXT['error-no-id']); require_once "../utils/bottom_adm_film.php"; exit();}
if(strlen($_POST['cicle_id'])>5) {puterror($result2['skin'],$TEXT['error-id-long']); require_once "../utils/bottom_adm_film.php"; exit();}
if(empty($_POST['cicle'])) {puterror($result2['skin'],$TEXT['error-cicle1']); require_once "../utils/bottom_adm_film.php"; exit();}
if(strlen($_POST['cicle'])>255) {puterror($result2['skin'],$TEXT['error-cicle2']); require_once "../utils/bottom_adm_film.php"; exit();}

if(isset($_POST['cicle'])) {$cicle=trim($_POST['cicle']);}
 else {$cicle="";}
if(empty($cicle)) {puterror($result2['skin'],$TEXT['error-spaces']); require_once "../utils/bottom_adm_film.php"; exit();}

$_POST['cicle'] = rep($_POST['cicle']);
$_POST['cicle_id'] = rep($_POST['cicle_id']);

$query11 = mysqli_query($dbcnx,"SELECT COUNT(`cicle_id`) AS c_cicle_id FROM `tbl_cicle` WHERE `cicle`='".$_POST['cicle']."' AND use_prog='2' ");
$result11 = mysqli_fetch_array($query11);
 if($result11['c_cicle_id']>0) {puterror($result2['skin'],$TEXT['error-double']); require_once "../utils/bottom_adm.php"; exit();}

  //*************************************
  //Информация для лога
  $query10 = "SELECT `cicle` FROM `tbl_cicle` WHERE `cicle_id`='".$_POST['cicle_id']."' ";
  $result10 = mysqli_query($dbcnx,$query10);
  if(!$result10) {puterror($result2['skin'],$TEXT['error-tbl5']); require_once "../utils/bottom_adm_film.php"; exit();}
      $result_izd = mysqli_fetch_array($result10);

  $ip = $_SERVER['REMOTE_ADDR'];
  $doing = $TEXT['log-cicle3'];
  $what = $result_izd['cicle'].$TEXT['log-na'].$_POST['cicle'].$TEXT['log-id'].$_POST['cicle_id'];
  $who = $result2['familiya']." ".$result2['name'];
  //*************************************
  $query = "UPDATE `tbl_cicle` SET `cicle` = '".$_POST['cicle']."' WHERE `cicle_id`='".$_POST['cicle_id']."' LIMIT 1";
  if(mysqli_query($dbcnx,$query))
  {
    $query2 = "INSERT INTO tbl_logs ( `log_id`, `data`, `ip`, `who`, `doing`, `what` ) VALUES ( NULL, NOW(), '$ip', '$who', '$doing', '$what')";
        if(mysqli_query($dbcnx,$query2))
           {
             echo "<html><head>
                   <meta HTTP-EQUIV='Refresh' CONTENT='0; URL=index.php' />
                   </head></html>";
           } else {puterror($result2['skin'],$TEXT['error-log']); require_once "../utils/bottom_adm_film.php"; exit();}
  } else {puterror($result2['skin'],$TEXT['error-tbl5']); require_once "../utils/bottom_adm_film.php"; exit();}
require_once "../utils/bottom_adm_film.php";
?>